FieldFacetStats (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.component.FieldFacetStats class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.component
Class FieldFacetStats

    java.lang.Object
      org.apache.solr.handler.component.FieldFacetStats

    public class FieldFacetStats

extends Object

9/10/2009 - Moved out of StatsComponent to allow open access to UnInvertedField FieldFacetStats is a utility to accumulate statistics on a set of values in one field, for facet values present in another field.

See Also:
  `StatsComponent`

Field Summary
`Map<String,StatsValues>` | `facetStatsValues`
`String` | `name`

Constructor Summary
`FieldFacetStats(String name, FieldCache.StringIndex si, FieldType facetFieldType, int numStatsTerms, FieldType statFieldType)`

Method Summary
`boolean` | `accumulateTermNum(int statsTermNum, String value)`
`boolean` | `facet(int docID, String v)`
`boolean` | `facetTermNum(int docID, int statsTermNum)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public final String name

### facetStatsValues

    public final Map<String,StatsValues> facetStatsValues

Constructor Detail

### FieldFacetStats

    public FieldFacetStats(String name,
                           FieldCache.StringIndex si,
                           FieldType facetFieldType,
                           int numStatsTerms,
                           FieldType statFieldType)

Method Detail

### facet

    public boolean facet(int docID,
                         String v)

### facetTermNum

    public boolean facetTermNum(int docID,
                                int statsTermNum)

### accumulateTermNum

    public boolean accumulateTermNum(int statsTermNum,
                                     String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD